<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class extends Kohana's [Database_Query_Builder_Join] to ensure that we have a site_id in join statements
 *
 * @package    OSB
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */

class Database_Query_Builder_Join extends Kohana_Database_Query_Builder_Join {

	public function compile($db = NULL) {
		$this->_on[] = array($this->_table.'.site_id','=',Site::id());

		return parent::compile($db);
	}
}
?>
